<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{::link}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_CSS}}"></link>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CKEDITOR_CSS}}"></link>
</head>
<body>
  <div class="ui main container" th:fragment="page" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKITEMS_CREATE)">
    <th:block th:replace="common/fragments/elements :: title(text = ${workitem.type.name}, 
                                                             icon = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WORKITEMS}, 
                                                             url = @{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS}})" 
                                                             />
    <br />
    <form class="ui form" id="workitems-form" th:object="${workitem}" method="post" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_SAVE}}">
      <input th:field="*{type}" type="hidden" />
      <input type="hidden" th:field="*{id}" />
      <th:block th:fragment="formWorkitem">
        <div class="fields">
          <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
	                                                           field = 'name', 
	                                                           required = true, 
	                                                           maxlength = 80, 
	                                                           placeholder = 'Enter a Name.',
	                                                           columnsize = 'ten wide'
	                                                           )" />
          <th:block th:if="${workitem.type.estimate}">
            <th:block th:replace="common/fragments/input :: number(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ESTIMATE}}, 
  	                                                             field = 'estimate', 
  	                                                             required = true, 
  	                                                             min = 0,  
                                                                 max = 99,
  	                                                             placeholder = '',
  	                                                             columnsize = 'two wide'
  	                                                             )" />
          </th:block>
          <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAMS}}, 
			                                                           field = 'team', 
			                                                           options = ${teams},
			                                                           optionfield = 'item.name',
			                                                           required = true,
			                                                           columnsize = ${workitem.type.estimate} ? 'four wide' : 'six wide',
                                                                       emptyoption = false
			                                                           )" />
        </div>
        <div class="fields">
          <th:block th:replace="common/fragments/input :: textarea(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}, 
					                                               field = 'description', 
					                                               required = false, 
					                                               placeholder = 'Tell us more.',
					                                               columnsize = 'sixteen wide',
					                                               maxlength = '400'
					                                               )" />
        </div>
      </th:block>
      <br />
      <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                                   icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                                   icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS},
                                                                   icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                   icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                   icon2url = ''
                                                                   )" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CKEDITOR_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_WORKITEMS_JS}}"></script>
</body>
</html>